#include <stdio.h>
#include<string.h>

int main()
{
    int n,k;
    double max;
    double s[200000];
    double a[200000];
    float p[200000];
    k=0;
    scanf("%d",&n);
    for (int  i=0; i<n;i++ ) {
        scanf("%lf %f",&a[i],&p[i]);
    }
    
    for (int  i=0; i<n;i++ ){
        s[k]=0.0;
        for (int  j=0; j<n;j++ ){
            if(p[j]>=p[i])
            {
                s[k]=s[k]+(a[j]*p[i])/100;
            }
        }
        k++;
    }
    max=s[0];
    for(int i=1;i<k;i++)
    {
        if(max<s[i])
        {
            max=s[i];
        }
        
    }
    printf("%.4f",max);
    
    
    

    return 0;
}